<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" routerLink="/references">XYZIngénierie</a>
  <ul class="navbar-nav mr-auto">
    <li class="nav-item" routerLinkActive="active">
      <a class="nav-link" routerLink="/references">Accueil<span class="sr-only">(current)</span></a>
    </li>
    <li class="nav-item" routerLinkActive="active">
      <a class="nav-link" routerLink="/search">Search</a>
    </li>
    <li routerLinkActive="active" *ngIf="role>0" class="nav-item">
      <a class="nav-link" routerLink="/reference/create">Ajouter une référence</a>
    </li>
  </ul>
  <ul class="navbar-nav">
    <li routerLinkActive="active" *ngIf="role==2" class="nav-item">
      <a class="nav-link" routerLink="/auth/signup">Gestion des
        utilisateurs</a>
    </li>
    <li routerLinkActive="active" *ngIf="role<0" class="nav-item">
      <a class="nav-link" routerLink="/auth/signin">Connexion</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" (click)="onSignOut()" style="cursor: pointer" *ngIf="role>=0">
        Déconnexion</a>
    </li>
  </ul>
</nav>

<!--routerLinkActive="active" *ngIf="role==2"-->
<!--*ngIf="role>=0"-->
<!--*ngIf="role==2"-->
